Subject: [Netconf] my review of draft-ietf-netconf-restconf-09

From: "Bert Wijnen (IETF)" <[email-masked]>
Date: Sun, 10 Jan 2016 14:40:21 +0100

Basically I think this document is ready.

Questions/concerns:
- section 4.3:
     The server MUST NOT return any data resources for which the user does
     not have read privileges.  If the user is not authorized to read the
     target resource, an error response containing a "403 Forbidden" or
     "404 Not Found" status-line is returned to the client.
   So is it an implementation decision as to which of these 2 errors
   is returned?
   Same question to a few more occurrences later in the document.
- section 6.1
   s/not required/NOT REQUIRED/ ??
   Not 100% sure, but to me it seems this defines compliance, and
   so upper case probably applies?

NITS:
- in section 1.3 (page 7), you use {+restconf} before it is actually
   defined you may want to add a reference to section 3.3 where it is
   defined and explained?

- page 10:
     media type "text/event-stream", as defined by the HTML5
   you might want to add a reference to HTML5

- page 34, 2nd para:
      Plain patch can used to create or update, but not delete, a child
   s/can used/can be used/ I guess

- last para in section 5.3
     If is not specified, the request input encoding format is used.
   s/If is/is/ I guess

for my own records (no worries):
- Maybe I do not understand,
But, section 3.6.3 has:

<input xmlns="https://example.com/ns/example-ops">
<delay>-33</delay>
<message>Going down for system maintenance</message>
<language>en-US</language>
</input>

Whereas at the bottom of page 23, delay is defined as an uint32,
so how can you pass a negative 33 value?
Ah... I see, it is to show that an error gets returned.
peace.

I have not reviewed the examples in the appendices.

Bert